DROP SCHEMA "RHDEMO";
CREATE SCHEMA "RHDEMO";
   CREATE SEQUENCE "RHDEMO"."SE_CURRICULO";
   CREATE SEQUENCE "RHDEMO"."SE_CURRICULO_CONTEUDO";
   CREATE SEQUENCE "RHDEMO"."SE_DEPARTAMENTO";
   CREATE SEQUENCE "RHDEMO"."SE_DEPENDENTE";
   CREATE SEQUENCE "RHDEMO"."SE_FOTO";
   CREATE SEQUENCE "RHDEMO"."SE_FOTO_CONTEUDO";
   CREATE SEQUENCE "RHDEMO"."SE_FUNCIONARIO";
   CREATE SEQUENCE "RHDEMO"."SE_HISTORICO_PROFISSIONAL";
   CREATE SEQUENCE "RHDEMO"."SE_UNIDADEFEDERATIVA";
   CREATE SEQUENCE "RHDEMO"."SE_CURSO";
  CREATE TABLE "RHDEMO"."CURRICULO" ("PK_CURRICULO" INTEGER, "DT_ULT_ALTERACAO" TIMESTAMP (6), "DATA_CRIACAO" TIMESTAMP (6), "NOME" VARCHAR2(255), "IN_SITUACAO_REGISTRO" VARCHAR2(1), "TAMANHO" NUMBER(10,0), "TIPO" VARCHAR2(255), "URL" VARCHAR2(255), "NM_ULT_ALTERACAO" VARCHAR2(150), "VERSAO_REGISTRO" NUMBER(10,0), "CONTEUDO_PK_CURRICULO_CONTEUDO" NUMBER(10,0));
  CREATE TABLE "RHDEMO"."CURRICULO_CONTEUDO" ("PK_CURRICULO_CONTEUDO" INTEGER, "CONTEUDO_BINARIO" BLOB, "DT_ULT_ALTERACAO" TIMESTAMP (6), "DATA_CRIACAO" TIMESTAMP (6), "IN_SITUACAO_REGISTRO" VARCHAR2(1), "NM_ULT_ALTERACAO" VARCHAR2(150), "VERSAO_REGISTRO" NUMBER(10,0));
  CREATE TABLE "RHDEMO"."DEPARTAMENTO" ("PK_DEPARTAMENTO" INTEGER, "DT_ULT_ALTERACAO" TIMESTAMP (6), "DATA_CRIACAO" TIMESTAMP (6), "DESCRICAO" VARCHAR2(100), "IN_SITUACAO_REGISTRO" VARCHAR2(1), "NM_ULT_ALTERACAO" VARCHAR2(150), "VERSAO_REGISTRO" NUMBER(10,0), "ID_DEPARTAMENTO_PAI" INTEGER);
  CREATE TABLE "RHDEMO"."DEPENDENTE" ("ID" INTEGER, "DT_ULT_ALTERACAO" TIMESTAMP (6), "DATA_CRIACAO" TIMESTAMP (6), "NOME" VARCHAR2(255), "SEXO" VARCHAR2(1), "IN_SITUACAO_REGISTRO" VARCHAR2(1), "NM_ULT_ALTERACAO" VARCHAR2(150), "VERSAO_REGISTRO" NUMBER(10,0), "FUNCIONARIO_ID" NUMBER(5,0));
  CREATE TABLE "RHDEMO"."FOTO" ("PK_FOTO" INTEGER, "DT_ULT_ALTERACAO" TIMESTAMP (6), "DATA_CRIACAO" TIMESTAMP (6), "NOME" VARCHAR2(255), "IN_SITUACAO_REGISTRO" VARCHAR2(1), "TAMANHO" NUMBER(10,0), "TIPO" VARCHAR2(255), "URL" VARCHAR2(255), "NM_ULT_ALTERACAO" VARCHAR2(150), "VERSAO_REGISTRO" NUMBER(10,0));
  CREATE TABLE "RHDEMO"."FOTO_CONTEUDO" ("PK_FOTO_CONTEUDO" INTEGER, "CONTEUDO_BINARIO" BLOB, "DT_ULT_ALTERACAO" TIMESTAMP (6), "DATA_CRIACAO" TIMESTAMP (6), "IN_SITUACAO_REGISTRO" VARCHAR2(1), "NM_ULT_ALTERACAO" VARCHAR2(150), "VERSAO_REGISTRO" NUMBER(10,0));
  CREATE TABLE "RHDEMO"."FUNCIONARIO" ("ID" INTEGER, "CPF" VARCHAR2(255), "DT_ULT_ALTERACAO" TIMESTAMP (6), "DATA_CRIACAO" TIMESTAMP (6), "DATANASCIMENTO" DATE, "EMAIL" VARCHAR2(255), "ESTADOCIVIL" VARCHAR2(1), "NOME" VARCHAR2(255), "OBSERVACAO" VARCHAR2(255), "SEXO" VARCHAR2(1), "SITHISTORICOPLC" VARCHAR2(255), "IN_SITUACAO_REGISTRO" VARCHAR2(1), "TEMCURSOSUPERIOR" NUMBER(1,0) DEFAULT 0, "NM_ULT_ALTERACAO" VARCHAR2(150), "VERSAO_REGISTRO" NUMBER(10,0), "DEPARTAMENTO_PK_DEPARTAMENTO" NUMBER(10,0), "ID_FOTO" NUMBER(10,0));
  CREATE TABLE "RHDEMO"."FUNCIONARIO_CURRICULO" ("FUNCIONARIOENTITY_ID" INTEGER, "CURRICULO_PK_CURRICULO" NUMBER(10,0));
  CREATE TABLE "RHDEMO"."HISTORICO_PROFISSIONAL" ("ID" INTEGER, "DT_ULT_ALTERACAO" TIMESTAMP (6), "DATA_CRIACAO" TIMESTAMP (6), "DATAINICIO" DATE, "DESCRICAO" VARCHAR2(255), "SALARIO" NUMBER(11,0), "IN_SITUACAO_REGISTRO" VARCHAR2(1), "NM_ULT_ALTERACAO" VARCHAR2(150), "VERSAO_REGISTRO" NUMBER(10,0), "FUNCIONARIO_ID" NUMBER(5,0));
  CREATE TABLE "RHDEMO"."UNIDADEFEDERATIVA" ("PK_UNIDADEFEDERATIVA" INTEGER, "DT_ULT_ALTERACAO" TIMESTAMP (6), "DATA_CRIACAO" TIMESTAMP (6), "NOME" VARCHAR2(100), "SIGLA" VARCHAR2(60), "IN_SITUACAO_REGISTRO" VARCHAR2(1), "NM_ULT_ALTERACAO" VARCHAR2(150), "VERSAO_REGISTRO" NUMBER(10,0));
  CREATE TABLE "RHDEMO"."CURSO" ("PK_CURSO" INTEGER, "DT_ULT_ALTERACAO" TIMESTAMP (6), "DATA_CRIACAO" TIMESTAMP (6), "NM_TREINAMENTO" VARCHAR2(100), "IN_SITUACAO_REGISTRO" VARCHAR2(1), "NM_ULT_ALTERACAO" VARCHAR2(150), "VERSAO_REGISTRO" NUMBER(10,0));
  CREATE UNIQUE INDEX "SYS_C0020626" ON  "RHDEMO"."DEPARTAMENTO" ("PK_DEPARTAMENTO");
  CREATE UNIQUE INDEX "SYS_C0020654" ON  "RHDEMO"."DEPENDENTE" ("ID");
  CREATE UNIQUE INDEX "SYS_C0020663" ON  "RHDEMO"."FUNCIONARIO" ("ID");
  CREATE UNIQUE INDEX "SYS_C0020666" ON  "RHDEMO"."HISTORICO_PROFISSIONAL" ("ID");
  CREATE UNIQUE INDEX "SYS_C0020669" ON  "RHDEMO"."FUNCIONARIO_CURRICULO" ("FUNCIONARIOENTITY_ID", "CURRICULO_PK_CURRICULO");
  CREATE UNIQUE INDEX "SYS_C0020960" ON  "RHDEMO"."UNIDADEFEDERATIVA" ("PK_UNIDADEFEDERATIVA");
  CREATE UNIQUE INDEX "SYS_C0020963" ON  "RHDEMO"."CURRICULO_CONTEUDO" ("PK_CURRICULO_CONTEUDO");
  CREATE UNIQUE INDEX "SYS_C0020966" ON  "RHDEMO"."CURRICULO" ("PK_CURRICULO");
  CREATE UNIQUE INDEX "SYS_C0020969" ON  "RHDEMO"."FOTO_CONTEUDO" ("PK_FOTO_CONTEUDO");
  CREATE UNIQUE INDEX "SYS_C0020972" ON  "RHDEMO"."FOTO" ("PK_FOTO");
  CREATE UNIQUE INDEX "SYS_C0020978" ON  "RHDEMO"."CURSO" ("PK_CURSO");
  ALTER TABLE "RHDEMO"."CURRICULO" ADD CONSTRAINT "CRRCLOCNTDOPKCURRICULOCONTEUDO" FOREIGN KEY ("CONTEUDO_PK_CURRICULO_CONTEUDO") REFERENCES "CURRICULO_CONTEUDO" ("PK_CURRICULO_CONTEUDO");
  ALTER TABLE "RHDEMO"."DEPENDENTE" ADD CONSTRAINT "FK_DEPENDENTE_FUNCIONARIO_ID" FOREIGN KEY ("FUNCIONARIO_ID") REFERENCES "FUNCIONARIO" ("ID");
  ALTER TABLE "RHDEMO"."FUNCIONARIO" ADD CONSTRAINT "FK_FUNCIONARIO_ID_FOTO" FOREIGN KEY ("ID_FOTO") REFERENCES "FOTO" ("PK_FOTO");
  ALTER TABLE "RHDEMO"."FUNCIONARIO" ADD CONSTRAINT "FNCNRIODPRTMENTOPKDEPARTAMENTO" FOREIGN KEY ("DEPARTAMENTO_PK_DEPARTAMENTO") REFERENCES "DEPARTAMENTO" ("PK_DEPARTAMENTO");
  ALTER TABLE "RHDEMO"."FUNCIONARIO_CURRICULO" ADD CONSTRAINT "FNCNRCURRICULOCRRCLPKCURRICULO" FOREIGN KEY ("CURRICULO_PK_CURRICULO") REFERENCES "CURRICULO" ("PK_CURRICULO");
  ALTER TABLE "RHDEMO"."FUNCIONARIO_CURRICULO" ADD CONSTRAINT "FNCNROCURRICULOFNCNRIOENTITYID" FOREIGN KEY ("FUNCIONARIOENTITY_ID") REFERENCES "FUNCIONARIO" ("ID");
  ALTER TABLE "RHDEMO"."HISTORICO_PROFISSIONAL" ADD CONSTRAINT "HSTRICOPROFISSIONALFNCONARIOID" FOREIGN KEY ("FUNCIONARIO_ID") REFERENCES "FUNCIONARIO" ("ID");
  ALTER TABLE "RHDEMO"."DEPARTAMENTO" ADD CONSTRAINT "DEPARTAMENTOPAI" FOREIGN KEY ("ID_DEPARTAMENTO_PAI") REFERENCES "DEPARTAMENTO" ("PK_DEPARTAMENTO");
