package com.powerlogic.jcompany.rhdemo.app.model.service;

import com.powerlogic.jcompany.commons.interceptor.validation.PlcValidationInterceptor;
import com.powerlogic.jcompany.core.model.repository.IPlcEntityRepository;
import com.powerlogic.jcompany.core.model.service.PlcAbstractServiceEntity;
import com.powerlogic.jcompany.rhdemo.app.model.entity.DepartamentoEntity;
import com.powerlogic.jcompany.rhdemo.app.model.repository.DepartamentoRepository;

import javax.ejb.Stateless;
import javax.inject.Inject;
import javax.interceptor.Interceptors;
import java.util.List;

@Stateless
@Interceptors({PlcValidationInterceptor.class})
public class DepartamentoServiceImpl extends PlcAbstractServiceEntity<Long, DepartamentoEntity> implements IDepartamentoService {
	
	@Inject
	private DepartamentoRepository departamentoRepository;


	@Override
	protected IPlcEntityRepository<Long, DepartamentoEntity> getEntityRepository() {
		return departamentoRepository;
	}

	/**
	 * Busca por departamento que ainda não tem filhos.
	 *
	 * @return lista de departamentos
	 */
	@Override
	public List<DepartamentoEntity> findVinculado() {
		return departamentoRepository.findVinculado();
	}
}
