
(function() {
  'use strict';

  angular.module('rhdemo').controller('FuncionarioController', FuncionarioController );

  /** @ngInject */
  function FuncionarioController($scope, $controller, FuncionarioService) {

    var vm = this;

    vm.$baseService = FuncionarioService;
    vm.$baseRoute = 'funcionario';

    vm.detalhes = [{
      titulo: "label.heading.det1.funcionario",
      name: "dependente",
      template: "app/funcionario/funcionariodet.html"
    },
      {
        titulo: "label.heading.det2.funcionario",
        name: "historicoProfissional",
        template: "app/funcionario/funcionariodet2.html"
      }];



    vm.columnDefs = [
      { field: 'id', displayName: 'label.funcionario.id',  headerCellFilter:'translate', width: '5%'},
      { field: 'nome', displayName: 'label.funcionario.nome',headerCellFilter:'translate', width: '20%'},
      { field: 'email', displayName: 'label.funcionario.email', headerCellFilter:'translate', width: '20%'},
      { field: 'cpf', displayName: 'label.funcionario.cpf', headerCellFilter:'translate', width: '15%'},
      { field: 'dataNascimento', displayName: 'label.funcionario.dataNascimento', headerCellFilter:'translate', width: '15%', cellFilter: 'date:\'dd/MM/yyyy\''},
      { field: 'departamento.descricao', displayName: 'label.funcionario.departamento', headerCellFilter:'translate', width: '20%'}
    ]

    vm.uploaderFilter = [
      {
        name: 'imageFilter',
        fn: function(item /*{File|FileLikeObject}*/) {
          var type = '|' + item.type.slice(item.type.lastIndexOf('/') + 1) + '|';
          return '|jpg|png|jpeg|bmp|gif|'.indexOf(type) !== -1;
        }
      }]

    vm.maxDate = function() {
      return new Date();
    };

    angular.extend(vm, $controller('PlcBaseController', {$scope: $scope, $controllerPlc: vm}));

  }

})();


